/*
 *  differenz.rexx
 *
 *  Geht die Liste aller Filme in MUIVideo durch,
 *  und kontrolliert, ob die Cassettennummer
 *  bereits in MUITapes bekannt ist. Wenn nicht
 *  wird der Benutzer aufgefordert, eine Cassetten-
 *  art auszuwhlen. Die Cassettennummer wird
 *  hinzugefgt.
 *
 *  $VER: differenz.rexx V1.0 (19.11.95)
 *  Copyright by Christoph Kirsch
 *
 */

options results

address MUIVIDEO.1            /* MUIVideo fragen ... */
count                         /* ...Wieviele Filme in der Liste sind. */
afilme = result

do i=0 to afilme-1            /* Die Liste der Filme durchgehen */

	address MUIVIDEO.1
	goto i
	get CASSETTE                /* Cassettennummer erfragen */
	c = result

	address MUITAPES.1          /* Cassettennummer in MUITapes suchen */
	findtape c
	x = result

	if x = "-1" then do         /* wenn noch nicht vorhanden ... */
		addtape c '0'             /* neuen Eintrag erzeugen ... */
		address MUIVIDEO.1        /* und Benutzer nach Daten fragen */
		requestchoice '"Whlen"' '"Cassettenart in MUITapes einstellen,|dann OK anklicken."' '"OK|Abbruch"'
		wahl = result
		if wahl = '0' then exit   /* ggf. abbrechen */
		end

end
