/*
 * statistik_lnge.rexx
 *
 * ARexx-Script fr MUIVideo
 * Ermittelt die grte Lnge der Felder
 * TITEL, DARSTELLER, KOMMENTAR, TYP,
 * BILD und QUELLE
 *
 * $VER: statistik_lnge.rexx V1.0 (24.06.97)
 * Copyright 1995/96 by Christoph Kirsch
 *
 */

address 'MUIVIDEO.1'
options results

sleep                           /* Eingaben unterbinden */

count                           /* Anzahl der Filme holen */
num = result

tlen = 0                        /* Lnge von TITEL */
dlen = 0                        /* Lnge von DARSTELLER */
klen = 0                        /* Lnge von KOMMENTAR */
ylen = 0                        /* Lnge von TYP */
blen = 0                        /* Lnge von BILD */
qlen = 0                        /* Lnge von QUELLE */

do i=0 to num-1                 /* bei allen Datenstzen ... */

  getquick i TITEL              /* Titel lesen */
  t = result
  getquick i DARSTELLER         /* Darsteller lesen */
  d = result
  getquick i KOMMENTAR          /* Kommentar lesen */
  k = result
  getquick i TYP                /* Typ lesen */
  y = result
  getquick i BILD               /* Bild lesen */
  b = result
  getquick i QUELLE             /* Quelle lesen */
  q = result

  if length(t) > tlen then tlen = length(t)
  if length(d) > dlen then dlen = length(d)
  if length(k) > klen then klen = length(k)
  if length(y) > ylen then ylen = length(y)
  if length(b) > blen then blen = length(b)
  if length(q) > qlen then qlen = length(q)

end

                                 /* Text erstellen */

text = """" || "Maximal Lngen der Felder:|------------------------|Titel = " || tlen || "|Darsteller = " || dlen || "|Kommentar = " || klen || "|Typ = " || ylen || "|Bild = " || blen || "|Quelle = " || qlen || """"

wake                             /* Eingaben erlauben */

requestnotify text               /* Requester mit Ergebnis anzeigen */

